﻿Type=Class
Version=2.2
B4J=true
@EndOfDesignText@
'WebSocket class
Sub Class_Globals

	Private WS As WebSocket
	
	Dim Common As UICommon
	
	Dim cmdBlockDesktop As UIButton
	Dim cmdBlockDialog As UIButton
	Dim cmdBlockElement As UIButton
	
	Dim Dialog As UIDialog
	Dim DivElement As UIHtmlElement
	
End Sub

Public Sub Initialize
	
End Sub

Private Sub WebSocket_Connected (WebSocket1 As WebSocket)
	
	WS = WebSocket1
	
	Common.Initialize(WS)
	
	Dim newTop As Int = 10
	
	cmdBlockDesktop.Initialize(WS, "cmdBlockDesktop")
	cmdBlockDesktop.Resize(10, newTop, 200, 30)
	cmdBlockDesktop.SetText("Block desktop")
	
	newTop = newTop + 40
	
	cmdBlockDialog.Initialize(WS, "cmdBlockDialog")
	cmdBlockDialog.Resize(10, newTop, 200, 30)
	cmdBlockDialog.SetText("Block dialog")
	
	newTop = newTop + 40
	
	cmdBlockElement.Initialize(WS, "cmdBlockElement")
	cmdBlockElement.Resize(10, newTop, 200, 30)
	cmdBlockElement.SetText("Block element")
	
	' #########
	
	Dialog.Initialize(WS, "Dialog", False)
	Dialog.Resize(250, 50, 400, 300)
	Dialog.SetClosable(False)
	Dialog.SetTitle("BlockUI-Demo")
	Dialog.SetResizable(False)
	Dialog.Open
	
	' #########
	
	DivElement.Initialize(WS, "DivElement", "div")
	DivElement.Resize(10, 10, 370, 230)
	DivElement.SetCss("border", "1px solid black")
	DivElement.AppendHtml("<span>This is a div-element</span>")
	DivElement.AppendTo("Dialog")
	
End Sub

Private Sub cmdBlockDesktop_Click(Params As Map)

	Common.BlockUI("", "", "<h1>Blocking desktop for 2 seconds...</h1>", 2000)

End Sub

Private Sub cmdBlockDialog_Click(Params As Map)

	Common.BlockUI("Dialog", "", "Blocking dialog for 2 seconds...", 2000)
	
End Sub

Private Sub cmdBlockElement_Click(Params As Map)

	Common.BlockUI("DivElement", "", "Blocking DivElement for 2 seconds...", 2000)
	
End Sub

Private Sub WebSocket_Disconnected

End Sub