﻿Type=Class
Version=2.2
B4J=true
@EndOfDesignText@
'WebSocket class
Sub Class_Globals

	Private WS As WebSocket
	
	Private cmdMisc As UIButton
	Private cmdDateTimePicker As UIButton
	Private cmdAceEditor As UIButton
	Private cmdGoogleMap As UIButton
	Private cmdGoogleChart As UIButton
	Private cmdAccordion As UIButton
	Private cmdBlockUI As UIButton
	Private cmdTinyMCE As UIButton
	Private cmdw2uiGrid As UIButton
	Private cmdw2uiToolbar As UIButton
	Private cmdw2uiLayout As UIButton
	Private cmdw2uiTabs As UIButton
	Private cmdWebClient As UIButton

End Sub

Public Sub Initialize
	
	
End Sub

Private Sub WebSocket_Connected (WebSocket1 As WebSocket)
	
	WS = WebSocket1
	
	Dim newTop As Int = 10
	Dim newLeft As Int = 10
	
	cmdMisc.Initialize(WS, "cmdMisc")
	cmdMisc.SetEventObjectName("Button", "click", True)
	cmdMisc.Resize(newLeft, newTop, 200, 30)
	cmdMisc.SetText("Misc")
	
	newTop = newTop + 40
	
	cmdDateTimePicker.Initialize(WS, "cmdDateTimePicker")
	cmdDateTimePicker.SetEventObjectName("Button", "click", True)
	cmdDateTimePicker.Resize(newLeft, newTop, 200, 30)
	cmdDateTimePicker.SetText("DateTimePicker")
	
	newTop = newTop + 40

	cmdAccordion.Initialize(WS, "cmdAccordion")
	cmdAccordion.SetEventObjectName("Button", "click", True)
	cmdAccordion.Resize(newLeft, newTop, 200, 30)
	cmdAccordion.SetText("Accordion")

	' ###

	newTop = 10
	newLeft = newLeft + 220

	' ###

	cmdw2uiGrid.Initialize(WS, "cmdw2uiGrid")
	cmdw2uiGrid.SetEventObjectName("Button", "click", True)
	cmdw2uiGrid.Resize(newLeft, newTop, 200, 30)
	cmdw2uiGrid.SetText("w2ui Grid")

	newTop = newTop + 40

	cmdw2uiToolbar.Initialize(WS, "cmdw2uiToolbar")
	cmdw2uiToolbar.SetEventObjectName("Button", "click", True)
	cmdw2uiToolbar.Resize(newLeft, newTop, 200, 30)
	cmdw2uiToolbar.SetText("w2ui Toolbar")

	newTop = newTop + 40

	cmdw2uiLayout.Initialize(WS, "cmdw2uiLayout")
	cmdw2uiLayout.SetEventObjectName("Button", "click", True)
	cmdw2uiLayout.Resize(newLeft, newTop, 200, 30)
	cmdw2uiLayout.SetText("w2ui Layout")

	newTop = newTop + 40

	cmdw2uiTabs.Initialize(WS, "cmdw2uiTabs")
	cmdw2uiTabs.SetEventObjectName("Button", "click", True)
	cmdw2uiTabs.Resize(newLeft, newTop, 200, 30)
	cmdw2uiTabs.SetText("w2ui Tabs")

	' ###

	newTop = 10
	newLeft = newLeft + 220

	' ###
	
	cmdTinyMCE.Initialize(WS, "cmdTinyMCE")
	cmdTinyMCE.SetEventObjectName("Button", "click", True)
	cmdTinyMCE.Resize(newLeft, newTop, 200, 30)
	cmdTinyMCE.SetText("TinyMCE")

	newTop = newTop + 40
	
	cmdAceEditor.Initialize(WS, "cmdAceEditor")
	cmdAceEditor.SetEventObjectName("Button", "click", True)
	cmdAceEditor.Resize(newLeft, newTop, 200, 30)
	cmdAceEditor.SetText("Ace Editor")
	
	newTop = newTop + 40

	cmdBlockUI.Initialize(WS, "cmdBlockUI")
	cmdBlockUI.SetEventObjectName("Button", "click", True)
	cmdBlockUI.Resize(newLeft, newTop, 200, 30)
	cmdBlockUI.SetText("BlockUI")

	' ###

	newTop = 10
	newLeft = newLeft + 220

	' ###

	cmdGoogleMap.Initialize(WS, "cmdGoogleMap")
	cmdGoogleMap.SetEventObjectName("Button", "click", True)
	cmdGoogleMap.Resize(newLeft, newTop, 200, 30)
	cmdGoogleMap.SetText("GoogleMap")

	newTop = newTop + 40

	cmdGoogleChart.Initialize(WS, "cmdGoogleChart")
	cmdGoogleChart.SetEventObjectName("Button", "click", True)
	cmdGoogleChart.Resize(newLeft, newTop, 200, 30)
	cmdGoogleChart.SetText("GoogleChart")

	newTop = newTop + 40

End Sub

Public Sub Button_Click(Params As Map)

	Dim Target As String = Params.Get("target")

	Target = Target.ToLowerCase

	Dim Url As String = ""

	If Target.Contains("misc") Then
		Url = "/misc/index.html"
		
	Else If Target.Contains("datetimepicker") Then
		Url = "/datetimepicker/index.html"
		
	Else If Target.Contains("aceeditor") Then
		Url = "/aceeditor/index.html"
		
	Else If Target.Contains("tinymce") Then
		Url = "/tinymce/index.html"
		
	Else If Target.Contains("googlemap") Then
		Url = "/googlemap/index.html"
		
	Else If Target.Contains("googlechart") Then
		Url = "/googlechart/index.html"
		
	Else If Target.Contains("accordion") Then
		Url = "/accordion/index.html"
		
	Else If Target.Contains("blockui") Then
		Url = "/blockui/index.html"
		
	Else If Target.Contains("w2uigrid") Then
		Url = "/w2uigrid/index.html"
		
	Else If Target.Contains("w2uitoolbar") Then
		Url = "/w2uitoolbar/index.html"
		
	Else If Target.Contains("w2uilayout") Then
		Url = "/w2uilayout/index.html"
		
	Else If Target.Contains("w2uitabs") Then
		Url = "/w2uitabs/index.html"
		
	Else If Target.Contains("webclient") Then
		Url = "/webclient/index.html"
		
	End If

	If Url <> "" Then
		WS.Eval("window.location = arguments[0]", Array As Object(Url))
	End If
	
End Sub

Private Sub WebSocket_Disconnected

End Sub