﻿Type=Class
Version=2.2
B4J=true
@EndOfDesignText@
'WebSocket class
Sub Class_Globals

	Private WS As WebSocket
	Private WC As cWebClient
	
	Private myPatternLock1 As UIHtmlElement
	Private myPatternLock2 As UIHtmlElement
	Private myDialog As UIDialog
	
End Sub

Public Sub Initialize
	
End Sub

Private Sub WebSocket_Connected (WebSocket1 As WebSocket)

	WS = WebSocket1

	WC.Initialize(WS)
	
	WC.LoadCssFile("/libraries/patternLock/patternLock.css")
	WC.LoadJsFile("/libraries/patternLock/patternLock.min.js", "patternLock")

' WC.LoadJsFile("/libraries/jStorage/jStorage.js", "JsFile")

	myDialog.Initialize(WS, "myDialog", False)
	myDialog.Resize(-1, -1, 500, 500)

	myPatternLock1.Initialize(WS, "myPatternLock1", "<div />")
	myPatternLock1.SetTop(10)
	myPatternLock1.SetLeft(10)
	
	myPatternLock2.Initialize(WS, "myPatternLock2", "<div />")
	myPatternLock2.SetCss("position", "")
	myPatternLock2.AppendTo("myPatternLock1")

	myPatternLock1.AppendTo("myDialog")
	
	myDialog.Open

End Sub

Private Sub patternLock_Load(Params As Map)
	WS.Eval("console.log('patternLock_Load');", Null)
	WS.Eval("var lock = new PatternLock(arguments[0]);", Array As Object("#" & myPatternLock2.GetID ))
End Sub

'Private Sub JsFile_Load(Params As Map)
'	myListBox.AddItem("WC.LocalStorage_Available.Value = " & WC.LocalStorage_Available.Value, -1, True)
'	WC.LocalStorage_SetItem("huhu", "haha")
'	myListBox.AddItem("WC.LocalStorage_GetItem('huhu') = " & WC.LocalStorage_GetItem("huhu", "").Value, -1, True)
'End Sub

Private Sub WebSocket_Disconnected

End Sub