﻿Type=Class
Version=2.2
B4J=true
@EndOfDesignText@
'WebSocket class
Sub Class_Globals

	Private WS As WebSocket
	
	Private lblDateTimePicker As UILabel
	Private DateTimePicker As UIDateTimePicker
	Private lblDateTimePickerFormat As UILabel

	Private lblDatePicker As UILabel
	Private DatePicker As UIDateTimePicker
	Private lblDatePickerFormat As UILabel

	Private lblTimePicker As UILabel
	Private myTimePicker As UIDateTimePicker

End Sub

Public Sub Initialize
	
End Sub

Private Sub WebSocket_Connected (WebSocket1 As WebSocket)
	
	WS = WebSocket1
	
	lblDateTimePicker.Initialize(WS, "lblDateTimePicker")
	lblDateTimePicker.Resize(10, 15, 130, -1)
	lblDateTimePicker.SetText("DateTimePicker (fr):")

' H: Hour with no leading 0 (24 hour)
' HH: Hour with leading 0 (24 hour)
' h: Hour with no leading 0 (12 hour)
' hh: Hour with leading 0 (12 hour)
' m: Minute with no leading 0
' mm: Minute with leading 0
' s: Second with no leading 0
' ss: Second with leading 0
' l: Milliseconds always with leading 0
' c: Microseconds always with leading 0
' t: a or p for AM/PM
' T: A or P for AM/PM
' tt: am or pm for AM/PM
' TT: AM or PM for AM/PM
' z: Timezone as defined by timezoneList
' Z: Timezone in Iso 8601 format (+04:45)
' '...': Literal text (Uses single quotes)	
	
	DateTimePicker.Initialize(WS, "DateTimePicker", True, True, "hh:mm:ss")
	DateTimePicker.Resize(140, 10, 150, -1)
	DateTimePicker.SetLocalization("fr")
	DateTimePicker.SetDateFormat("dd.mm.yy")
	DateTimePicker.SetDateTime(DateTime.Date(DateTime.Now) & " " & DateTime.Time(DateTime.Now))

	lblDateTimePickerFormat.Initialize(WS, "lblDateTimePickerFormat")
	lblDateTimePickerFormat.Resize(300, 15, -1, -1)
	lblDateTimePickerFormat.SetText("(Dateformat is set to 'dd.mm.yy')")

	' ##########
	
	lblDatePicker.Initialize(WS, "lblDatePicker")
	lblDatePicker.Resize(10, 55, 130, -1)
	lblDatePicker.SetText("DatePicker (en):")

	DatePicker.Initialize(WS, "DatePicker", True, False, "")
	DatePicker.Resize(140, 50, 150, -1)
	DatePicker.SetLocalization("en")
	DatePicker.SetDateTime(DateTime.Date(DateTime.Now) & " " & DateTime.Time(DateTime.Now))
	
	lblDatePickerFormat.Initialize(WS, "lblDatePickerFormat")
	lblDatePickerFormat.Resize(300, 55, -1, -1)
	lblDatePickerFormat.SetText("(Dateformat is set to default)")

	' ##########

	lblTimePicker.Initialize(WS, "lblTimePicker")
	lblTimePicker.Resize(10, 95, 130, -1)
	lblTimePicker.SetText("TimePicker (de):")

	myTimePicker.Initialize(WS, "myTimePicker", False, True, "hh:mm tt z")
	myTimePicker.Resize(140, 90, 150, -1)
	myTimePicker.SetLocalization("de")
	myTimePicker.SetDateFormat("dd.mm.yy")
	myTimePicker.SetDateTime(DateTime.Date(DateTime.Now) & " " & DateTime.Time(DateTime.Now))
	
End Sub

Private Sub WebSocket_Disconnected

End Sub