﻿Type=Class
Version=2.2
B4J=true
@EndOfDesignText@
'WebSocket class
Sub Class_Globals

	Private WS As WebSocket
	
	Private Layout As UIw2uiLayout
	
	Private ButtonM As UIButton
	Private ButtonL As UIButton
	
End Sub

Public Sub Initialize
	
End Sub

Private Sub WebSocket_Connected (WebSocket1 As WebSocket)
	
	WS = WebSocket1

	Dim xPanels As List
	xPanels.Initialize
	
	Dim CSS As String = "background-color: #F5F6F7; border: 1px solid #dfdfdf; padding: 5px;"
	
	xPanels.Add(CreateMap("type" : "top", "size" : "50", "resizable": "true", "style" : CSS, "content": ""))
	xPanels.Add(CreateMap("type" : "left", "size" : "200", "style" : CSS, "content": ""))
	xPanels.Add(CreateMap("type" : "main", "style" : CSS, "content": ""))

	Layout.Initialize(WS, "myLayout", xPanels)
	Layout.Resize(10, 10, 800, 600)
	Layout.Refresh
	
	ButtonM.Initialize(WS, "ButtonM")
	ButtonM.SetText("Main")
	Layout.Append(ButtonM.GetID, "main")
	
	' ####
	
	ButtonL.Initialize(WS, "ButtonL")
	ButtonL.SetText("Left")
	Layout.Append(ButtonL.GetID, "left")

	' 	<div class="w2ui-panel-content" style="overflow: auto; display: block; top: 0px;">main</div></div>

End Sub

Private Sub WebSocket_Disconnected

End Sub