﻿Type=Class
Version=2.2
B4J=true
@EndOfDesignText@
'WebSocket class
Sub Class_Globals

	Private WS As WebSocket
	
	Private Dialog As UIDialog
	Private Tabs As UIw2uiTabs
	Private TabContainer As UIHtmlElement
	
End Sub

Public Sub Initialize
	
End Sub

Private Sub WebSocket_Connected (WebSocket1 As WebSocket)

	WS = WebSocket1

	Dialog.Initialize(WS, "Dialog", False)
	Dialog.Resize(-1, -1, 800, 600)
	
	Tabs.Initialize(WS, "Tabs")
	Tabs.Resize(10, 10, 400, -1)
	Tabs.AppendTo("Dialog")
	
'	tab : {
'		id          : null,    // commnad to be sent to all event handlers
'		text        : '',      // tab caption
'		hidden      : false,   // defines if tab is hidden
'		disabled    : false,   // defines if tab is disabled
'		closable    : false,   // defines if tab is closable
'		hint        : '',      // mouse hint for the tab
'		onClick     : null,    // click event handler (only this tab)
'		onRefresh   : null,    // refresh event handler (only this tab)
'		onClose     : null     // close event handler (only this tab)
'	}	
	
	
	Tabs.AddTab(CreateMap("id":"tab1","caption":"Tab 1"))
	Tabs.AddTab(CreateMap("id":"tab2","caption":"Tab 2"))
	Tabs.AddTab(CreateMap("id":"tab3","caption":"Tab 3"))
	Tabs.AddTab(CreateMap("id":"tab4","caption":"Tab 4", "closable":"true"))
	Tabs.AddTab(CreateMap("id":"tab5","caption":"Tab 5"))
	
	Tabs.RemoveTab("tab3")
	
	WS.Flush
		
	TabContainer.Initialize(WS, "TabContainer", "div")
	TabContainer.Resize(10, 38, 399, 400)
	TabContainer.AppendTo("Dialog")

	Tabs.SelectTab("tab2")
	
	Tabs.DisableTab("tab5")
	
	Dialog.Open
	
End Sub

Private Sub Tabs_Click(Params As Map)

	TabContainer.AppendHtml("<span>" & Params.Get("target") & " clicked</span><br />")

End Sub

Private Sub Tabs_Close(Params As Map)

	TabContainer.SetHtml("<span>" & Params.Get("target") & " closed</span><br />")
	
End Sub

Private Sub CastToString(Value) As String
	Return Value
End Sub

Private Sub WebSocket_Disconnected

End Sub

