﻿Type=Class
Version=2.2
B4J=true
@EndOfDesignText@
'WebSocket class
Sub Class_Globals

	Private WS As WebSocket

	Private myDialog As UIDialog
	Private Toolbar As UIw2uiToolbar
	Private Div As UIHtmlElement
	
End Sub

Public Sub Initialize
	
End Sub

Private Sub WebSocket_Connected (WebSocket1 As WebSocket)

	WS = WebSocket1
	
	'Div.Initialize(WS, "Div", "div")
	'Div.Resize(100, 100, 400, -1)
	
	myDialog.Initialize(WS, "myDialog", True)
	myDialog.SetWidth(600)
	myDialog.Open
	
	Toolbar.Initialize(WS, "Toolbar")

	Dim Itemlist As List
	Itemlist.Initialize
	
	' item: {
	' 	id       : null,      // id of the item
	' 	type     : 'button',  // type of the item (button, check, radio, drop, menu, break, spacer, html)
	' 	text     : '',        // caption of the item
	' 	html     : '',        // html text for the item (only if type = html)
	' 	img      : '',        // css class of the image for the item
	' 	icon     : '',        // css class of the icon font for the item
	' 	hidden   : false,     // indicates if item is hidden
	' 	disabled : false,     // indicates if item is disabled
	' 	checked  : false,     // indicates if item is checked
	' 	arrow    : true,      // down arrow for drop/menu types
	' 	hint     : '',        // hint text for the item
	' 	group    : null,      // group name for the item, used for radio buttons, can be integer or string
	' 	items    : null,      // for type=menu it is an array of items in the menu
	' 	overlay  : {},        // for drop down menus additional params for overlay, see overlay
	' 	onClick  : null       // mouse click event handler
	' }	
		

	' There are several default icons in w2ui.css file you can use or you can create 
	' your own css file with icons. Majority of default icons are used in w2grid. 
	' Default icons	are: icon-folder, icon-page, icon-reload, icon-columns, 
	' icon-search, icon-add, icon-delete, icon-save, icon-edit, icon-bullet-black
	
	' ############
	
	Dim MenuItems As List
	MenuItems.Initialize
	
	MenuItems.Add(CreateMap("id":"myMenuItem1", "caption":"MenuItem1", "img": "icon-page"))
	MenuItems.Add(CreateMap("id":"myMenuItem2", "caption":"MenuItem2", "img": "icon-page"))
	MenuItems.Add(CreateMap("id":"myMenuItem3", "caption":"MenuItem3", "img": "icon-page"))
	
	Itemlist.Add(CreateMap("type":"menu", "id":"myMenu", "caption":"Menu", "items": MenuItems ))

	' ############
	
	Itemlist.Add(CreateMap("type":"break", "id":"myBreak1"))

	Itemlist.Add(CreateMap("type":"button", "id":"btnAdd",    "caption":"Add",    "img": "icon-add"))
	Itemlist.Add(CreateMap("type":"button", "id":"btnEdit",   "caption":"Edit",   "img": "icon-edit"))
	Itemlist.Add(CreateMap("type":"button", "id":"btnDelete", "caption":"Delete", "img": "icon-delete"))
	
	Itemlist.Add(CreateMap("type":"break", "id":"myBreak2"))

	Itemlist.Add(CreateMap("type":"check",  "id":"myCheck1",  "caption":"Check1"))
	Itemlist.Add(CreateMap("type":"check",  "id":"myCheck2",  "caption":"Check2"))
	
	Itemlist.Add(CreateMap("type":"break", "id":"myBreak3"))

	Itemlist.Add(CreateMap("type":"radio", "id":"myRadio1", "caption":"Radio1", "group": "RadioGroup"))
	Itemlist.Add(CreateMap("type":"radio", "id":"myRadio2", "caption":"Radio3", "group": "RadioGroup"))
	Itemlist.Add(CreateMap("type":"radio", "id":"myRadio3", "caption":"Radio3", "group": "RadioGroup"))
	
	' ############
	
	Toolbar.AddItems(Itemlist)
	
	Toolbar.AppendTo(myDialog.GetID)
	
	Toolbar.CheckItem("myCheck1")
	
	Toolbar.Refresh
	
End Sub

Private Sub myMenuItem1_Click(Params As Map)
	WS.Alert("MenuItem1 clicked")
End Sub
Private Sub myMenuItem2_Click(Params As Map)
	WS.Alert("MenuItem2 clicked")
End Sub
Private Sub myMenuItem3_Click(Params As Map)
	WS.Alert("MenuItem3 clicked")
End Sub

Private Sub btnAdd_Click(Params As Map)
	WS.Alert("Button 'Add' clicked")
End Sub
Private Sub btnEdit_Click(Params As Map)
	WS.Alert("Button 'Edit' clicked")
End Sub
Private Sub btnDelete_Click(Params As Map)
	WS.Alert("Button 'Delete' clicked")
End Sub

Private Sub WebSocket_Disconnected

End Sub